.switch {
  opacity: 1;
  z-index: 9;
  display: -webkit-flex;
  -webkit-align-content: center;
  position: absolute;
  top: 2%;
  /*left: 50%;*/
  left: 0;
  right: 0;
  /*bottom:0;*/
  margin: auto;
  font-family: 'Roboto', sans-serif;
  font-weight: lighter;
  max-width: 130px;
  height: 90px;
  text-align: center;
  margin: auto;
  background: none;
  transition: all 0.2s ease;
  border-radius: 25px;
  z-index: 10;
}

.switch span {
  position: absolute;
  width: 20px;
  height: 4px;
  top: 50%;
  left: 50%;
  margin: -2px 0px 0px -4px;
  background: #fff;
  display: block;
  transform: rotate(-45deg);
  transition: all 0.2s ease;
}

.switch span:after {
  content: "";
  display: block;
  position: absolute;
  width: 4px;
  height: 12px;
  margin-top: -8px;
  background: #fff;
  transition: all 0.2s ease;
}

input[type=radio] {
  display: none;
}

.switch:hover {
  cursor: pointer;
}

label {
  -webkit-transition: all 0.5s ease;
  font-size: 17px;
  cursor: pointer;
  color: #474747;
  line-height: 50px;
  transition: all 0.2s ease;
}

label:hover {
  cursor: pointer;
  color: #FFF;
}

label[for=yes] {
  position: absolute;
  left: 0px;
  height: 20px;
}

label[for=no] {
  position: absolute;
  right: 0px;
}

#no:checked~.switch {
  background: none;
}

#no:checked~.switch span {
  background: #fff;
  margin-left: -8px;
}

#no:checked~.switch span:after {
  background: #fff;
  height: 20px;
  margin-top: -8px;
  margin-left: 8px;
}

#yes:checked~.switch label[for=yes] {
  color: #19cc95;
}

#no:checked~.switch label[for=no] {
  color: #19cc95;
}